
Figure - Bug #112037
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110894 (New): AF-V1.0功能测试-屏保

【AF】【EVT】【屏保】切换当前的屏保类型后闪退回主界面
2022-09-20 16:31 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-09-25

Test Type: IT Root cause: Settings使用fragment分为了两列,以前该页面使用activity显示,点击后关闭页面是停止了Activity,现在Settings只有一个Activity,导致Settings关闭

Description

【前提条件】

无

【测试步骤】

1、进入设置 - 显示 - 屏保

2、切换当前的屏保类型（例如从时钟切换到万花筒）

【预期结果】

2、成功切换，且停留在切换页面

【实际结果】

2、切换之后闪退回主界面

【复现率】

必现

History

#1 - 2022-09-21 09:59 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#2 - 2022-09-21 10:01 - CD FW-王伟

- Assignee changed from CD- FW-石豪 to CD FW-程天颖

#3 - 2022-09-22 16:15 - CD FW-程天颖

- Status changed from New to ASSIGNED

#4 - 2022-09-23 11:41 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 80

- Degrated changed from -- to No

- Root cause set to Settings使用fragment分为了两列,以前该页面使用activity显示,点击后关闭页面是停止了Activity,现在Settings只有一个Activity,导致Settings关闭

#5 - 2022-09-23 15:18 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TEST-方永红
- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-25

■ Current conclusion

代码已入库

■ My analysis

Settings使用fragment分为了两列,以前该页面使用activity显示,点击后关闭页面是停止了Activity,现在Settings只有一个Activity,导致Settings关闭

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/150739

#6 - 2022-09-26 10:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#7 - 2022-09-26 10:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150739 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Screen Saver:fixed when change current scrren Settings exit1.fixed when change current scrren Settings exitTC-RID: 1201-0201801IssueID:

TS-R-DF-112037Change-Id: Ifa01dea7a0adc93040976196e6373021b34cc48d

Files

pingbaofail.log 17.4 KB 2022-09-20 CD TEST-方永红
